$(document).ready(function () {

    $("body").on("click", ".visasave", visaUpdfunc);


function visaUpdfunc() {
  var maindb = "purmain";
  var voucher = "";

  if ($(".visachk").is(":checked")) {
    $(".visatable").find("tr").each(function () {
        var tr = $(this),
          vouchn = tr.find(".visavno").val();

        if (tr.find(".visachk").is(":checked") && parseFloat(vouchn) > 0) {
          voucher += vouchn + ",";
        }
      });

    $.post("purchase_alert.php",{ voucher: voucher, maindb: maindb },
      function (data) {
        if (data > 0) {
          location.reload();
        }
      }
    );
  }
}
});